phoenix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Chinmay Kulkarni (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (PHOENIX-4262) Create shaded packages to shade all uses of Guava
Date Sat, 30 Sep 2017 01:07:00 GMT

     [ https://issues.apache.org/jira/browse/PHOENIX-4262?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Chinmay Kulkarni updated PHOENIX-4262:
--------------------------------------
    Description: 
The Phoenix build breaks if we upgrade the Guava version to say, 20.0 due to lack of backward
compatibility. 
To handle this, we can perhaps use shaded packages to avoid dependency conflicts at runtime.

  was:
The Phoenix build breaks if we upgrade the guava version to say, 20.0 due to lack of backward
compatibility. 
To handle this, we can perhaps use shaded packages to avoid dependency conflicts at runtime.


> Create shaded packages to shade all uses of Guava
> -------------------------------------------------
>
>                 Key: PHOENIX-4262
>                 URL: https://issues.apache.org/jira/browse/PHOENIX-4262
>             Project: Phoenix
>          Issue Type: Bug
>            Reporter: Chinmay Kulkarni
>
> The Phoenix build breaks if we upgrade the Guava version to say, 20.0 due to lack of
backward compatibility. 
> To handle this, we can perhaps use shaded packages to avoid dependency conflicts at runtime.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message